[mythtv] [mythtv-commits] mythtv commit: r23271 by stuarta

Nigel Pearson nigel at ind.tansu.com.au
Tue Feb 2 04:35:51 UTC 2010

> Since that's now released and 1.0.12 is being worked
> on, upgrading to 1.0.11 made sense.

Sadly, on fresh XP and Vista machines, it seems to have two issues:

1) win32-packager now fails to patch sspi.h:

COMMENTS:Apply sspi.h patch file, if not already applied....

grep-ing for pattern(subauth.h) in file(C:/MinGW/include/sspi.h):
shell:C:\MSys\1.0\bin\bash.exe -c "( export PATH=/bin:/mingw/bin:$PATH;cd /mingw/include;patch -p1 < sspi_h.patch) 2>&1 "
missing header for context diff at line 3 of patch
can't find file to patch at input line 3
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
|*** sspi.h      Sun Jan 25 17:55:57 2009
|--- sspi.h.new  Sun Jan 25 17:55:51 2009
File to patch:
Skip this patch? [y]
Skipping patch.
1 out of 1 hunk ignored
EFFECT FAILED (grep -> shell): unable to locate regex pattern (subauth.h) in file (C:/MinGW/include/sspi.h)

C:\Documents and Settings\Administrator\Desktop>

2) vi is no longer installed.

It looks like the newer MSys installs patch 2.5.4,
which doesn't guess -p0 instead of -p1 in this situation,
so that should be easy to fix.

But, NO VI? How can I edit text files :-)

Nigel Pearson, nigel at ind.tansu.com.au| $50 million worth of       |
Telstra Net. Eng., Sydney, Australia | hardware and you didn't    |
Office: 9202 3900    Fax:  9212 6348 | think we'd throw in a GPS? |
Mobile: 0408 664435  Home: 9792 6998 |  - Jonas, Bionic Woman     |

More information about the mythtv-dev mailing list